| MissingH-1.1.0.3: Large utility library | Contents | Index
Data.Compression.Inflate |
Maintainer | Ian Lynagh,
Description
Maintainer : igloo@earth.li Stability : provisional Portability: portable Inflate algorithm implementation Copyright (C) 2004 Ian Lynagh
Synopsis
inflate_string :: String -> String
inflate_string_remainder :: String -> (String, String)
inflate :: [Int] -> (Output, [Bit])
type Output = [Word32]
data Bit
bits_to_word32 :: [Bit] -> Word32
Documentation
inflate_string :: String -> String
inflate_string_remainder :: String -> (String, String)
Returns (Data, Remainder)
inflate :: [Int] -> (Output, [Bit])
type Output = [Word32]
data Bit
Instances
Eq Bit |
Show Bit |
bits_to_word32 :: [Bit] -> Word32
Produced by Haddock version 2.7.2